# Uses of Class
net.shibboleth.shared.net.URIException

Packages that use URIException
Package
Description
net.shibboleth.shared.net
Shared networking APIs and classes.
net.shibboleth.shared.net.impl
Implementation classes for working with HTTP URLs and the protocol.

## Uses of URIException in net.shibboleth.shared.net

Methods in net.shibboleth.shared.net that throw URIException
Modifier and Type
Method
Description
`boolean`
URIComparator.`compare(String uri1, String uri2)`
Compare two URI's (represented as strings) for equivalence.

## Uses of URIException in net.shibboleth.shared.net.impl

Methods in net.shibboleth.shared.net.impl that throw URIException
Modifier and Type
Method
Description
`boolean`
BasicURLComparator.`compare(String uri1, String uri2)`
Compare two URI's (represented as strings) for equivalence.